Unable to reach virtualmin (ssl problem after update)

🛈 SYSTEM INFORMATION
OS type and version Centos 7
Virtualmin version Can’t know since it dont load…

Hi,

We updated and can not reach virtualmin anymore from browser. We are getting this thru Chrome (Tried from other browsers and it’s not working neither):

ERR_SSL_VERSION_OR_CIPHER_MISMATCH

I’d read another similar post but ssl_cipher_list is the same than listed and i also restarted webmin service without succes…

Please help!

Do you mean can’t connect to :10000 via SSL?

You could try to disable SSL, then access to fix the certificate. Re enable SSL.

  1. SSH to the server.
  2. Open file. sudo vi /etc/webmin/miniserv.conf.
  3. Change. ssl=1. to. ssl=0. save the file.
  4. Restart Webmin service.
2 Likes

First of all, double check that all latest system packages are upgraded by running the following command:

yum update -y

Later, as Whoops already mentioned, you can disable SSL temporarily to login and request Let’s Encrypt SSL certificate. Although, this is not secure. There is more secure work around though. Either use some other browser, like Firefox or type in Chrome when you see this SSL error message thisisunsafe and that will take you directly to login screen.

We updated and can not reach virtualmin anymore from browser.

If this is a clean install, please reinstall with AlmaLinux 8 or Rocky Linux 8 or CentOS 8 Stream, as installing CentOS 7 in 2022 not recommended really.

Hi, this box is running for years now. I dont want to start reinstalling everything, so i will try to check with Whoops recommendations and let you know.

I already have a good certificate so i would not use letsencrypt to have to play constantly with this certificate renewal.

For this yum, yes all is up to date.

There is no (this is not safe) with a link that i can use to login anyway.

Thanks for all your recommendations, i will check and let you know!

It is not used with the link. You start typing thisisunsafe when you see a certificate error screen:

Please, can you explain where i need to type “thisisunsafe” ?

Nowhere. As this page appears just type it … as long as the page focused it will work …

After many tries, i’ve been able to get it working.

In webmin configuration settings, ssl version 10 was indicated by default and this was the problem.

I just checked “Detect automaticaly” and it worked…

So, i dont know what value it represent in this miniserv.conf file (maybe this eval_package=) ?

I dont see nothing about ssl_version…

This topic was automatically closed 8 days after the last reply. New replies are no longer allowed.